---------------------
PatchSet 3093 
Date: 2005/04/06 09:47:02
Author: cladisch
Branch: HEAD
Tag: (none) 
Log:
Summary: usb-audio - BOSS GS-10 PCM support

This patch adds quirks to support 24-bit PCM I/O in the "Advanced
Driver" mode of the BOSS GS-10.

Members: 
	usb/usbquirks.h:1.44->1.45 

Index: /sound/usb/usbquirks.h
diff -u /sound/usb/usbquirks.h.old /sound/usb/usbquirks.h
--- /sound/usb/usbquirks.h.old	Thu Feb 24 23:56:05 2005
+++ /sound/usb/usbquirks.h	Wed Apr  6 01:47:02 2005
@@ -609,15 +609,33 @@
 	}
 },
 {
+	/*
+	 * This quirk is for the "Advanced Driver" mode.  If off, the GS-10
+	 * has ID 0x003c and is standard compliant, but has only 16-bit PCM
+	 * and no MIDI.
+	 */
 	USB_DEVICE_VENDOR_SPEC(0x0582, 0x003b),
 	.driver_info = (unsigned long) & (const snd_usb_audio_quirk_t) {
 		.vendor_name = "BOSS",
 		.product_name = "GS-10",
-		.ifnum = 3,
-		.type = QUIRK_MIDI_FIXED_ENDPOINT,
-		.data = & (const snd_usb_midi_endpoint_info_t) {
-			.out_cables = 0x0003,
-			.in_cables  = 0x0003
+		.ifnum = QUIRK_ANY_INTERFACE,
+		.type = QUIRK_COMPOSITE,
+		.data = & (const snd_usb_audio_quirk_t[]) {
+			{
+				.ifnum = 1,
+				.type = QUIRK_AUDIO_STANDARD_INTERFACE
+			},
+			{
+				.ifnum = 2,
+				.type = QUIRK_AUDIO_STANDARD_INTERFACE
+			},
+			{
+				.ifnum = 3,
+				.type = QUIRK_MIDI_STANDARD_INTERFACE
+			},
+			{
+				.ifnum = -1
+			}
 		}
 	}
 },
